export default {
    namespaced: true,
    state: {
        showLoginModal: false,
        openId: "",
        token: "",
        userInfo: null,
    },
    getters: {
        showLoginModal(state) {
            return state.showLoginModal;
        },
        userInfo(state) {
            return state.userInfo;
        },
    },
    mutations: {
        showLoginModal(state, data) {
            state.showLoginModal = data;
        },
        openId(state, data) {
            state.openId = data;
        },
        token(state, data) {
            state.token = data;
        },
        userInfo(state, data) {
            state.userInfo = data;
        }
    },
    actions: {
        logout(context) {
            context.commit('userInfo', null);
        },
    }
}
